Subject: RE: [Ietf-behave] Fragment ation support (Req-13 & Req-12)

From: "Francois Audet" <[email-masked]>
Date: Wed, 6 Jul 2005 16:11:16 -0700 (PDT)

> -----Original Message-----
> From: ietf-behave-bounces@xxxxxxxxxxxxxxxxxxx 
> [mailto:ietf-behave-bounces@xxxxxxxxxxxxxxxxxxx] On Behalf Of 
> Pyda Srisuresh
> Sent: Tuesday, July 05, 2005 02:01
> To: Behave
> Subject: [Ietf-behave] Fragment ation support (Req-13 & Req-12)
> 
> 
> Francois,
> 
> Req-13 (A NAt must support receiving in-order fragments) is 
> not the WG consensus, AFAIK. Fragement processign is not 
> limited to in-order fragments. 

AFAIK, it is the consensus of the group. 

If you feel it is not, please substantiate, AND provide an
alternative for which you will have gathered concensus from the
group.

> As for Req-12, why is NAT support of fragmentation restricted 
> to link MTU criteria? Are you referign to immediate link MTU? 
> The discussion we had on outbound fragmentation addressed 
> much more than you mention here. 

Feel free to propose alternative text for which you will have gathered
consensus from the group.

> Also, what is the "ICMP 
> section" you refer to in section 10.2?  

That would be section 9, entitled "ICMP Destination Unreachable
Behavior" (which seems quite obvious to me, but I'll spell it out).

---

From: Pyda Srisuresh <[email-masked]>
Date: Thu, 7 Jul 2005 06:29:10 -0700 (PDT)

> alternative for which you will have gathered concensus from the

[suresh] Check out the followig from the archives. This was the lsst e-mail on
supporting incoming fragments.

http://list.sipfoundry.org/archive/ietf-behave/msg00588.html, 

> consensus from the group.

[suresh] Refer sections 3.3 & 3.4 in ford-behave-gen-01.txt. Suggest adapting
the text from these sections.

> Behavior" (which seems quite obvious to me, but I'll spell it out).

[suresh] OK. The section titles did not match. So, I assumed, you were refering
to a section that had wider covrage on ICMP than setion 9. 

Anyways, the requirement (REQ-12) text seems lame at the end after all the
discussion on DF-bit processing. In contrast, refer section 3.4 & 3.7 of the
ford-behave-gen-01.txt. Specifically, on the subject of DF-bit processing,
below is what the behave-gen draft says in section 3.7. I suggest adapting this
text.

   REQ-7: If DF bit is set on an inbound IP packet and the NAT device
   cannot forward the packet without fragmentation, the NAT device
   MUST send a destination unreachable ICMP message (ICMP
   type 3, Code 4) with a suggested MTU back to the sender prior to 
   dropping the IP packet. 

cheers,
suresh